> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 게시물 관리

> 인증된 사용자를 대신하여 게시물을 생성하고 삭제합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Manage Posts 엔드포인트를 사용하면 인증된 사용자를 대신해 포스트를 생성하고 삭제할 수 있습니다. 콘텐츠를 게시하고, 스레드를 만들거나, 사용자 포스트를 관리하는 애플리케이션을 개발하세요.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="게시물 작성" icon="pen">
    새 게시물 게시
  </Card>

  <Card title="게시물 삭제" icon="trash">
    기존 게시물 삭제
  </Card>

  <Card title="답글" icon="reply">
    다른 게시물에 답글 달기
  </Card>

  <Card title="인용" icon="quote-right">
    다른 게시물 인용하기
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                       | Description |
| :----- | :--------------------------------------------- | :---------- |
| POST   | [`/2/tweets`](/ko/x-api/posts/create-post)     | 새 게시물 생성    |
| DELETE | [`/2/tweets/:id`](/ko/x-api/posts/delete-post) | 게시물 삭제      |

***

<div id="creating-posts">
  ## 포스트 생성
</div>

<div id="basic-post">
  ### 기본 게시물
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{"text": "Hello from the API!"}'
```

<div id="reply-to-a-post">
  ### 게시물에 답글하기
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "This is a reply!",
    "reply": {
      "in_reply_to_tweet_id": "1234567890"
    }
  }'
```

<div id="quote-a-post">
  ### 게시물 인용하기
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Check this out!",
    "quote_tweet_id": "1234567890"
  }'
```

<div id="post-with-media">
  ### 미디어가 포함된 게시물
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "Photo of the day",
    "media": {
      "media_ids": ["1234567890123456789"]
    }
  }'
```

<Note>
  먼저 [Media Upload endpoint](/ko/x-api/media/quickstart/media-upload-chunked)를 사용하여 미디어를 업로드한 다음, 게시물에서 `media_id`를 참조하세요.
</Note>

<div id="post-with-poll">
  ### 투표가 있는 게시물
</div>

```bash theme={null}
curl -X POST "https://api.x.com/2/tweets" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "text": "What is your favorite color?",
    "poll": {
      "options": ["Red", "Blue", "Green", "Yellow"],
      "duration_minutes": 1440
    }
  }'
```

***

<div id="deleting-posts">
  ## 포스트 삭제
</div>

```bash theme={null}
curl -X DELETE "https://api.x.com/2/tweets/1234567890" \
  -H "Authorization: Bearer $USER_ACCESS_TOKEN"
```

<Warning>
  현재 인증된 사용자 계정으로 작성된 게시물만 삭제할 수 있습니다.
</Warning>

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔에서 생성된 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * [OAuth 2.0 PKCE](/ko/resources/fundamentals/authentication#oauth-2-0-authorization-code-flow-with-pkce-2) 또는 [3-legged OAuth](/ko/resources/fundamentals/authentication#obtaining-access-tokens-using-3-legged-oauth-flow)를 통해 발급된 사용자 액세스 토큰
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/posts/manage-tweets/quickstart">
    첫 번째 게시물 만들기
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/posts/manage-tweets/integrate">
    핵심 개념과 모범 사례
  </Card>

  <Card title="미디어 업로드" icon="image" href="/ko/x-api/media/quickstart/media-upload-chunked">
    게시물용 미디어 업로드
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/posts/creation-of-a-post">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
